# RPM specfile for ximian-doorman module
# Generated Mon Aug 18 17:31:39 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.5 2003/07/31 17:23:29 thunder Exp $
# from 

%define nam	ximian-doorman
%define ver	1.99.29
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	3

Name:     	ximian-doorman
Version: 	1.99.29
Release:	0.ximian.6.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Epoch:		1
Source0:	ximian-doorman-1.99.29.tar.gz
Patch0:		ximian-logo-license.patch
Patch1:		ximian-doorman-de.po.patch
Summary:	A desktop setup tool for first-time users.
Group:		User Interface/Desktop
Requires:	ximian-artwork
Requires:	metacity
Requires:	nautilus
Requires:	control-center
Provides:	ximian-ximian-doorman = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf2

%description
The doorman runs the first time a user logs into Ximian GNOME.  It steps the user through setting up his system and modifies his GNOME configuration files accordingly.

%files
%defattr(-, root, root)
%doc COPYING.ximian-logos AUTHORS INSTALL NEWS README
/usr/share/doorman/
/usr/bin/*
/usr/libexec/doorman/
/etc/gconf/schemas/*
/usr/share/locale/*/LC_MESSAGES/*.mo


%post
GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/doorman.schemas

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ximian-doorman-1.99.29
    ;;
all)
%setup  -q -n ximian-doorman-1.99.29
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Aug 18 2003 Ximian, Inc.

- Version: 1:1.99.29-0.ximian.6.3
- Summary: New build.
- New automated build.

* Tue Apr 29 2003 Ximian, Inc.

- Version: 1:1.99.22-0.ximian.1
- Summary: New build.
- New automated build.

* Wed Apr 9 2003 Ximian, Inc.

- Version: 1:1.99.21-0.ximian.1
- Summary: New build.
- New automated build.

* Tue Apr 8 2003 Ximian, Inc.

- Version: 1:1.99.19-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 1:1.99.18-0.ximian.2
- Summary: New build.
- New automated build.

* Fri Feb 14 2003 Ximian, Inc.

- Version: 1:1.99.15-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Feb 13 2003 Ximian, Inc.

- Version: 1:1.99.14-0.ximian.1
- Summary: New build.
- New automated build.

* Wed Jan 22 2003 Ximian, Inc.

- Version: 1:1.99.13-0.ximian.1
- Summary: Xmms settings.
- New version of ximian-doorman.  Sets xmms skin and output plugin.

* Tue Jan 21 2003 Ximian, Inc.

- Version: 1:1.99.11-1.ximian.1
- Summary: Galeon toolbar settings.
- New version of ximian-doorman.  Sets galeon toolbar settings.  New glade file.

* Wed Nov 13 2002 Ximian, Inc.

- Version: 1:1.99.4-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Nov 1 2002 Ximian, Inc.

- Version: 1.99.1-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Jul 2 2002 Ximian, Inc.

- Version: 1.0.12-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Jun 24 2002 Ximian, Inc.

- Version: 1.0.11-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Jun 11 2002 Ximian, Inc.

- Version: 1.0.10-1.ximian.1
- Summary: New build.
- New automated build.

* Wed May 1 2002 Ximian, Inc.

- Version: 1.0.9-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Mar 25 2002 Ximian, Inc.

- Version: 1.0.8.1-1.ximian.1
- Summary: New build.
- New automated build.

